Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

updateTemplate

Prev Next

Available in Classic and VPC

Edit the properties of the email template you created, such as the name, content, etc.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PUT /template/{templateSid}

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
templateSid Integer Required SID of the template to edit

Request body

You can include the following data in the body of your request:

Field Type Required Description
templateName String Required Name of the template to edit
  • Enter 1-100 characters by combining Korean letters, English letters, numbers, and special characters ".", "-", and "_".
description String Optional Description of the template (byte)
  • 0-300
title String Required Email subject (byte)
  • 1-500
body String Required Email body
senderAddress String Required Sender's email address
senderName String Optional Sender's name (byte)
  • 0-69
isUse Boolean Optional Whether to use the template edited
  • true | false
    • true: Use template
    • false: Not use template

Request example

The request example is as follows:

curl --location --request PUT 'https://mail.apigw.ntruss.com/api/v1/template/258' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "templateName": "membershipTemplateKR",
  "title": "[KO] Naver Cloud Platform",
  "body": "Welcome to the membership.",
  "senderAddress": "admin@master.com",
  "senderName": "Admin",
  "isUse": true
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
sid Integer - SID of the edited template
createDate Object - Creation date and time
name String - Name of the edited template
description String - Description of the edited template
title String - Email subject
senderAddress String - Sender's email address
senderName String - Sender name
body String - Email body
isUse Boolean - Template usage status
category Object - Parent category information

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The response example is as follows:

{
  "sid": 258,
  "createDate": {
    "utc": 1589348863431,
    "formattedDate": "2020-05-13",
    "formattedDateTime": "2020-05-13 14:47:43 431"
  },
  "name": "membershipTemplateKR",
  "description": null,
  "title": "[KO] Naver Cloud Platform",
  "senderAddress": "admin@master.com",
  "senderName": "Admin",
  "body": "Welcome to the membership.",
  "isUse": true,
  "category": {
    "sid": 252,
    "parentSid": -1,
    "name": "testCategory"
  }
}